Error Starting Pyrx

Python Prescription - Virtual Screening Tool

[PyRx is no longer developed at MGL]

Moderator: sargis

Forum rules
[PyRx is no longer developed at MGL]

Error Starting Pyrx

Postby monika » Wed Sep 30, 2015 5:55 am

I am getting following error after installing pyrx. My OS is centOS 6.

********************************************************************************************************************************
Traceback (most recent call last):
File "runPyRx.py", line 89, in <module>
startPyRx()
File "runPyRx.py", line 38, in startPyRx
frame = MainFrame(None, -1, size=(width, height-200))
File "/home/ibab.monika/MonikaIISC/myinstallations/PyRx/wxMainFrame.py", line 131, in __init__
import preferences
File "/home/ibab.monika/MonikaIISC/myinstallations/PyRx/preferences.py", line 32, in <module>
if enthought.traits.version.__version__ > "3.1":
AttributeError: 'module' object has no attribute 'version'

Problem starting PyRx. Please visit PyRx forum for a possible solution: http://mgl.scripps.edu/forum
**********************************************************************************************************************************
User avatar
monika
Millimolar User
Millimolar User
 
Posts: 2
Joined: Wed Sep 30, 2015 4:52 am

Re: Error Starting Pyrx

Postby sargis » Fri Oct 02, 2015 12:04 pm

Haven't seen this error before. Which version of PyRx are you running and how did you install it? Thanks.
User avatar
sargis
Picomolar User
Picomolar User
 
Posts: 583
Joined: Fri Oct 17, 2008 10:39 pm

Re: Error Starting Pyrx

Postby monika » Fri Oct 02, 2015 6:01 pm

version=PyRx-0.9-Source
Installation is done by source.
(http://pyrx.sf.net/download/0.9/PyRx-0.9-Source.zip)

Thanks and Regards
Monika
User avatar
monika
Millimolar User
Millimolar User
 
Posts: 2
Joined: Wed Sep 30, 2015 4:52 am

Re: Error Starting Pyrx

Postby sargis » Sat Oct 03, 2015 3:51 pm

monika wrote:version=PyRx-0.9-Source
Installation is done by source.
(http://pyrx.sf.net/download/0.9/PyRx-0.9-Source.zip)

I see. Installing PyRx from source is challenging and requires expert Python programming experience. I recommend getting packaged version of PyRx for 64-bit Linux that will save you a lots of time troubleshooting issues related to installation.

Thanks and Regards
Sargis
User avatar
sargis
Picomolar User
Picomolar User
 
Posts: 583
Joined: Fri Oct 17, 2008 10:39 pm


Return to PyRx

Who is online

Users browsing this forum: No registered users and 2 guests